#
# Conditional build:
%bcond_with	directfb	# DirectFB graphics support
%bcond_with	nas		# NAS audio support
%bcond_without	alsa		# ALSA audio support
%bcond_with	arts		# aRts audio support
%bcond_with	esd		# EsounD audio support
%bcond_without	gl		# OpenGL (GLX) support
%bcond_without	gles		# OpenGL ES (EGL) support
%bcond_without	static_libs	# don't build static libraries
%bcond_with	mmx		# MMX instructions
%bcond_with	sse		# SSE instructions
%bcond_with	sse2		# SSE2 instructions
%bcond_with	3dnow		# 3Dnow! instructions
%bcond_with	altivec		# Altivec instructions
#
# NOTE: the following libraries are dlopened by soname detected at build time:
# libartsc.so.?		[if with arts]
# libasound.so.2	[if with alsa]
# libaudio.so.2		[if with nas]
# libdirectfb-*.so --needs patch (-release not supported by configure)
# libesd.so.0		[if with esd]
# libfusionsound-*.so --needs patch (-release not supported by configure)
# libpulse-simple.so.0
# libX11.so.6
# libXcursor.so.1
# libXext.so.6
# libXi.so.6
# libXinerama.so.1
# libXrandr.so.2
# libXrender.so.1
# libXss.so.1
# libXxf86vm.so.1
%ifarch k6 athlon
%define	with_3dnow	1
%endif
%ifarch %{x8664} pentium2 pentium3 pentium4 athlon
%define	with_mmx	1
%endif
%ifarch %{x8664} pentium3 pentium4
%define	with_sse	1
%endif
%ifarch %{x8664} pentium4
%define	with_sse2	1
%endif
Summary:	SDL (Simple DirectMedia Layer) - Game/Multimedia Library
Summary(pl.UTF-8):	SDL (Simple DirectMedia Layer) - Biblioteka do gier/multimediów
Summary(zh_CN.UTF-8):	SDL (Simple DirectMedia Layer) Generic APIs - 游戏/多媒体库
Name:		SDL2
Version:	2.0.1
Release:	1
License:	Zlib (BSD-like)
Group:		Libraries
Source0:	http://www.libsdl.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	0eb97039488bf463e775295f7b18b227
Patch0:		%{name}-config.patch
URL:		http://www.libsdl.org/
%{?with_directfb:BuildRequires:	DirectFB-devel >= 1.0.0}
%{?with_directfb:BuildRequires:	FusionSound-devel >= 1.1.1}
%{?with_gl:BuildRequires:	OpenGL-GLX-devel}
%{?with_gles:BuildRequires:	OpenGLES-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
%{?with_arts:BuildRequires:	artsc-devel >= 1.1}
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	dbus-devel
%{?with_esd:BuildRequires:	esound-devel >= 0.2.8}
BuildRequires:	gcc >= 5:4.0
BuildRequires:	libtool >= 2:2.0
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	perl-modules
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	pulseaudio-devel >= 0.9
BuildRequires:	tslib-devel
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ppc	-maltivec

%description
SDL (Simple DirectMedia Layer) is a library that allows you portable,
low level access to a video framebuffer, audio output, mouse, and
keyboard. It can support both windowed and DGA modes of XFree86, and
it is designed to be portable - applications linked with SDL can also
be built on Win32 and BeOS.

%description -l pl.UTF-8
SDL (Simple DirectMedia Layer) jest biblioteką udostępniającą
przenośny, niskopoziomowy dostęp do bufora ramki video, wyjścia audio,
myszy oraz klawiatury. Może obsługiwać zarówno okienkowy tryb XFree86
jak i DGA. Konstruując ją miano na uwadze przenośność: aplikacje
konsolidowane z SDL można również budować w systemach Win32 i BeOS.

%description -l pt_BR.UTF-8
Esse é o Simple DirectMedia Layer, uma API genérica que dá acesso de
baixo nível a áudio, teclado, mouse e vídeo em várias plataformas.

Essa biblioteca é usada por alguns jogos.

%description -l ru.UTF-8
SDL (Simple DirectMedia Layer) это набор функций, предоставляющий
низкоуровневый доступ к звуку, клавиатуре, манипулятору мышь и к
буферу экрана на множестве различных платформ.

%package devel
Summary:	SDL - Header files
Summary(pl.UTF-8):	SDL - Pliki nagłówkowe
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de cabeçalho para aplicações SDL
Summary(ru.UTF-8):	Файлы, необходимые для разработки программ, использующих SDL
Summary(uk.UTF-8):	Файли, необхідні для розробки програм, що використовують SDL
Summary(zh_CN.UTF-8):	SDL (Simple DirectMedia Layer) 开发库
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_directfb:Requires:	DirectFB-devel >= 1.0.0}
Requires:	tslib-devel
Requires:	xorg-lib-libX11-devel
Suggests:	OpenGL-GLU-devel

%description devel
SDL - Header files.

%description devel -l pl.UTF-8
SDL - Pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Esse pacote contém bibliotecas, arquivos de cabeçalho e outros
recursos para o desenvolvimento de aplicativos com SDL.

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ,
использующих SDL.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм, що
використовують SDL.

%package static
Summary:	SDL - static libraries
Summary(pl.UTF-8):	SDL - biblioteki statyczne
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento de aplicações com a SDL
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием SDL
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням SDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SDL - static libraries.

%description static -l pl.UTF-8
SDL - biblioteki statyczne.

%description static -l pt_BR.UTF-8
Biblioteca estática para desenvolvimento de aplicações com a SDL.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для разработки программ,
использующих SDL.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для розробки програм, що
використовують SDL.

%package examples
Summary:	SDL - example programs
Summary(pl.UTF-8):	SDL - programy przykładowe
License:	Public Domain
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
SDL - example programs.

%description examples -l pl.UTF-8
SDL - przykładowe programy.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I acinclude
%{__autoconf}
%configure \
	%{!?with_3dnow:--disable-3dnow} \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_altiveca:--disable-altivec} \
	%{!?with_arts:--disable-arts} \
	%{!?with_esd:--disable-esd} \
	%{!?with_mmx:--disable-mmx} \
	%{!?with_nas:--disable-nas} \
	--enable-pthreads \
	--enable-pthread-sem \
	--disable-rpath \
	%{!?with_sse:--disable-sse --disable-ssemath} \
	%{!?with_sse2:--disable-sse2} \
	%{?with_sse:--enable-ssemath} \
	%{!?with_static_libs:--disable-static} \
	%{!?with_directfb:--disable-video-directfb} \
	--enable-video-opengl%{!?with_opengl:=no} \
	--enable-video-opengles%{!?with_gles:=no} \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

cp -pr test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# non-Linux READMEs packaged for portability information
%doc BUGS.txt COPYING.txt CREDITS.txt README*.txt TODO.txt WhatsNew.txt
%attr(755,root,root) %{_libdir}/libSDL2-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL2-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sdl2-config
%attr(755,root,root) %{_libdir}/libSDL2.so
%{_libdir}/libSDL2.la
%{_libdir}/libSDL2_test.a
%{_libdir}/libSDL2main.a
%{_includedir}/SDL2
%{_aclocaldir}/sdl2.m4
%{_pkgconfigdir}/sdl2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL2.a
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL2.git;a=log;h=master

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 7fa3845
- updated to 2.0.1

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 916aeb9
- new, based on SDL

